Bug 117536 - Nautilus misdetects Excel files as Word files
Summary: Nautilus misdetects Excel files as Word files
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-05 00:07 UTC by Greg Gilbert
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 14:52:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Greg Gilbert 2004-03-05 00:07:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040217 Epiphany/1.1.9

Description of problem:
When I double click on MS Excel spreadsheets in nautilus, it tells me
that the file is of type "Microsoft Word Document" and the extension
is of type Microsoft Excel spreadsheet." I have to use open with to
open up the file in gnumeric, and after doing so gnumeric reads the
file fine. 

Version-Release number of selected component (if applicable):
nautilus-2.5.8-1

How reproducible:
Always

Steps to Reproduce:
1.Browse to xls file
2. Double click xls file

Actual Results:  Receive message informing me that the file type and
extension do not match

Expected Results:  Nautilus should have spawned an appropriate viewer

Additional info:

Comment 1 Alexander Larsson 2004-03-05 14:48:36 UTC
this is fixed in upstream cvs (shared-mime-data and gnome-vfs)

Comment 2 Per Bjornsson 2004-04-30 18:57:33 UTC
Well, that's what I have heard too but it's actually still not working
for me. System started at FC2test2, updated via up2date to current
rawhide (2004-04-30)
shared-mime-data-0.14-1
gnome-vfs-1.0.5-18

Matching bug at freedesktop.org for shared-mime-info is #401:
http://freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=401


Comment 3 Per Bjornsson 2004-04-30 19:19:39 UTC
Time to eat some crow. Regenerating the mime info cache with
update-mime-database fixed it (I first didn't realize that I had to
log out and log in to get Nautilus to pick this up but that seems to
be the case). The post-install scriptlet appears to do this so I don't
really know why it didn't work before; perhaps there was an SELinux
problem that rpevented this from happening correctly while I was
running that (I gave up for now). My apologies!



Note You need to log in before you can comment on or make changes to this bug.